Organizations

Upload organization logo or background

POST
/orgs/{organizationId}/organization/assets/{kind}

Uploads the organization logo (PNG, JPEG, WebP or SVG; stored as PNG) or the public-page background photo (stored as WebP). Each upload gets a new content-hashed public URL that is cached for a year.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

kind*string
Value in"logo""background"

Request Body

  1. body
file*string|string|string|string

Response Body

OK

application/json
  1. response
id*string
name*string
legalName*string|null
logo*string|null
backgroundImage*string|null
locale*string
subdomain*string|null
maintenanceMode*boolean
vatNumber*string|null
iban*string|null
bic*string|null
address*string|null
zipCode*string|null
city*string|null
country*string
legalForm*string|null
email*string|null
phone*string|null
supportEmail*string|null
accountantEmails*array<string>
website*string|null
curl -X POST 'https://api.tillor.eu/orgs/string/organization/assets/logo' \  -H 'Content-Type: application/json' \  -d '{  "file": "string"}'
{  "id": "string",  "name": "string",  "legalName": "string",  "logo": "string",  "backgroundImage": "string",  "locale": "string",  "subdomain": "string",  "maintenanceMode": true,  "vatNumber": "string",  "iban": "string",  "bic": "string",  "address": "string",  "zipCode": "string",  "city": "string",  "country": "string",  "legalForm": "string",  "email": "string",  "phone": "string",  "supportEmail": "string",  "accountantEmails": [    "string"  ],  "website": "string"}